Page MenuHomePhabricator

String replaces to make hovercards preferences easier
Closed, ResolvedPublic1 Story Points

Description

Very short-term change to make hovercard on/off option more obvious for readers as precursor to qualitative test to see if users can easily disable hovercards. This represents a compromise for the sake of time to enable qualitative user testing.

  • As a user hitting the settings icon, I would like to understand my options more simply and quickly.
  • As a PM, I would like to address known issues so that we can user test something reasonable.

Before:

Markup;

After:

Related: T138612

Event Timeline

JKatzWMF created this task.Jun 20 2016, 4:43 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 20 2016, 4:43 PM
jhobs added a subscriber: jhobs.

@Nirzar thoughts on this/any tweaks to spacing if the change looks good?

dr0ptp4kt triaged this task as High priority.Jun 20 2016, 5:15 PM
dr0ptp4kt reassigned this task from dr0ptp4kt to Nirzar.Jun 21 2016, 5:37 PM
dr0ptp4kt added a subscriber: dr0ptp4kt.

@jhobs It's fine for now. It already had basic alignment issues but we dont have bandwidth to fix that so i was going to write a patch, which I will submit really soon.

dr0ptp4kt set the point value for this task to 1.Jun 30 2016, 4:58 PM
Jdlrobson updated the task description. (Show Details)Jun 30 2016, 8:31 PM
dr0ptp4kt lowered the priority of this task from High to Normal.Jul 1 2016, 5:50 PM

Change 297632 had a related patch set uploaded (by Jdlrobson):
WIP: Tweaks to settings page

https://gerrit.wikimedia.org/r/297632

@JKatzWMF @Nirzar can you please clarify that you want to remove the text for the disable option which carries important information on how to opt back in (that it is in the footer which is not obvious at all)

As requested:

As implemented:


Open questions:

  • No guidance was given about what to do with Advanced (shown to editors when gadget enabled). Do we want it as the 2nd option?
  • Are we sure we want to remove the disable text given that guidance is given on the other 2 options.

Open questions:

  • No guidance was given about what to do with Advanced (shown to editors when gadget enabled). Do we want it as the 2nd option?

I am not sure when this appears or what it does. Do you know? 2nd position seems like a fine place, pending more info.

  • Are we sure we want to remove the disable text given that guidance is given on the other 2 options.

Yes. We would have removed all guidance text, but it created formatting issues.

The 'advanced' option appears when a user has installed the navpops gadget via the preferences page.

I'm putting this for review now. Please let us know asap if you need to make any changes to advanced.

Change 297632 merged by jenkins-bot:
Tweaks to settings page

https://gerrit.wikimedia.org/r/297632

bmansurov closed this task as Resolved.Jul 8 2016, 5:26 AM
bmansurov added a subscriber: bmansurov.

To test login at http://en.wikipedia.beta.wmflabs.org/wiki/Main_Page and enable Popups at http://en.wikipedia.beta.wmflabs.org/wiki/Special:Preferences#mw-prefsection-betafeatures and then visit http://en.wikipedia.beta.wmflabs.org/wiki/Popups. At the bottom of the page you'll see a link to enable Popups - click on it and you'll see the new setting dialog. If you don't see the "enable" link, then hover over the "Lang" link and click on the cog icon.

Feel free to open the task if you think we should work on the "Advanced" menu option.